﻿import event.*;
import util.*;

/**
 * Lists the methods that must be implemented by
 * an object that wants to be notified of Randomzier events.
 */
interface util.RandomizerListener extends EventListener {
  /**
   * Triggered when a random event has occured (according to the
   * odds and interval set for the Randomizer).
   *
   * @param   e   A RandomizerEvent instance.
   */
  public function onRandomAction (e:RandomizerEvent):Void;
}